Retrieve a DNSSEC key
Get DNSSEC keys for your DNS zone.
get
Authorizations
AuthorizationstringRequired
Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.
Path parameters
zoneIdstring · uuidRequired
The ID (UUID) of the DNS zone.
Responses
200
Success case, dnssec keys returned.
application/json
idstringOptionalExample:
98277a78-a6a2-4672-ac9a-a68ca0a8d67atypestring · enumOptionalPossible values:
hrefstring · uriRead-onlyOptionalExample:
<RESOURCE-URI>400
Bad Request
The request send to the API was malformed.
application/json
401
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
application/json
403
Not Allowed
The user issuing the request does not have the needed permissions.
application/json
404
Not Found
The resource that was requested could not be found.
application/json
500
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
application/json
get/zones/{zoneId}/keys
GET /zones/{zoneId}/keys HTTP/1.1
Host: dns.de-fra.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
"id": "98277a78-a6a2-4672-ac9a-a68ca0a8d67a",
"type": "dnsseckeys",
"href": "<RESOURCE-URI>",
"metadata": {
"zoneId": "a363f30c-4c0c-4552-9a07-298d87f219bf",
"items": [
{
"keyTag": 49057,
"digestAlgorithmMnemonic": "SHA-1",
"digest": "CF58B511B2D8EF99263704A112703586E542E4FA",
"keyData": {
"flags": 257,
"pubKey": "AwEAAY6wMNhHk/0+sV44EK4Hj/1f89gQeUC9f49mElA jMWUIHlBviGuzgr0Bvwf/JSk82aWjnVgdI/JJ0Onaqp7Nt66HZVH t/1GT4PG1cceWBYzWREYF8RMoSts/4Ol9YOPc2EHdKfycESD4dAEO ZtlkV07hAFRG0TzaGg+k48MQr8njn/oagThSmeHCfRtCvzgJDicPYXR H4fdoKZCv5v41Qgxd0ZjmbQxB8ls8ZXdVC2iQ2E6pQ3WcTRu8zM 6Xv0BHBGChYiSsTNZB8dHVgL/1CRUGiNRFJEkHvcXWeC2/HSnZJYLU cC/lYmBstn/yD432EkgSIbVDOdxdk0b/ARIrbLc="
},
"composedKeyData": "257 3 8 AwEAAY6wMNhHk...RIrbLc="
}
]
},
"properties": {
"keyParameters": {
"algorithm": "RSASHA256"
},
"nsecParameters": {
"nsecMode": "NSEC3"
}
}
}Last updated
Was this helpful?